function H = Jnum(h,x,varargin)
%JNUM   Computes a numerical approximation to the Jacobian using the centeral difference
%   approximation.
%   Input
%      h           Function handle to the fuction to be differentiated
%      x           State mean
%      vargin      Extra variables passed on to h

nx = length(x);
esq = sqrt(eps);
for i = 1:nx
  e = zeros(nx,1);
  e(i) = esq;
  H(:,i) = (h(x+e,varargin{:})-h(x-e,varargin{:}))/(2*esq);
end;
end