function [psi, theta, phi] = q2eul(q)
% Conversion from quaternions to Euler angles
% For equations, see Kuipers, "Quaternions and Rotation Sequences", p 168.
% David Trnqvist, 2005-04-28

q0 = q(1,:);   q2 = q(3,:);
q1 = q(2,:);   q3 = q(4,:);
psi = atan2((2*q1.*q2+2*q0.*q3),(2*q0.^2+2*q1.^2-1));
theta = asin(-2*(q1.*q3-q0.*q2));
phi = atan2(2*(q2.*q3 + q0.*q1),(2*q0.^2+2*q3.^2-1));
