% Plot results

function plotResults(ref, res_vis)

N = length(res_vis.x);
for k = 1:N
  pos2(:,k) = res_vis.x{k}(1:3);
  posx_m1(k) = res_vis.x{k}(17);
  posy_m1(k) = res_vis.x{k}(18);
  posz_m1(k) = res_vis.x{k}(19);
  std_m1(k) = sqrt(res_vis.P{k}(17,17));
  std_px(k) = sqrt(res_vis.P{k}(1,1));
  std_py(k) = sqrt(res_vis.P{k}(1,1));
  std_pz(k) = sqrt(res_vis.P{k}(1,1));
end
figure;
hold on;
plot(pos2(1,:),pos2(2,:),'b');
xy = ll2xy(ref.p(1,:), ref.p(2,:), ref.p(1,1), ref.p(2,1)); % Calculate reference trajectory in local coordinates
plot(xy(1,:),xy(2,:),'r');
%plot3(pos2(1,:),pos2(2,:),pos2(3,:),'b');
view(-90,90);
xlabel('x'); 
ylabel('y');
axis equal
hold off
title('Platform position')


N = 300;
figure;
hold on;
plot(pos2(1,1:N),pos2(2,1:N),'b');
plot(xy(1,1:N),xy(2,1:N),'r');
%plot3(pos2(1,:),pos2(2,:),pos2(3,:),'b');
view(-90,90);
xlabel('x'); 
ylabel('y');
axis equal
hold off
title('Platform position')


return;

figure
plot(std_m1);
title('Standard deviation for the first feature position (x)');
figure
title('Standard deviation position of the first map entry')
subplot(3,1,1)
plot(posx_m1)
subplot(3,1,2)
plot(posy_m1)
subplot(3,1,3)
plot(posz_m1)


figure
subplot(3,1,1)
plot(std_px)
subplot(3,1,2)
plot(std_py)
subplot(3,1,3)
plot(std_pz)
title('Standard deviation position platform')
