function [x, P, covInn] = visionStateUpdate(x, P, e, par, visible)
%VISIONSTATEUPDATE   Performs measurement updates using the information available in 
%   the vision measurements produced by the data association. Note that these
%   measurements will contain outliers due to erroneous associations. Hence, outlier 
%   detection is also present in this function.
%   Input
%      x           State mean
%      P           State covariance
%      e           Struct containing the measurements
%      par         Parameters
%      visible     Index to the landmarks currently visible (and detected) in the image
%
%   Output
%      x           State mean
%      P           State covariance
%      covInn      Covariance for the innovations (S = HPH' + R)

end
